------------------------------------------------------------------------------------
--Name：          191230[简体征服][活动脚本]全球情人节活动
--Creator:      杨艳
--Created:     2020/01/06
--------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)

for i = 1,40 do 
	
	CppScriptMgr:SetViewPosByCell(39+i, 24+i)
	CppScriptMgr:WaitMilSec(50)
	
end 

CppScriptMgr:SetViewPosByCell(81, 68)
CppScriptMgr:WaitMilSec(50)
-- CppScriptMgr:SetViewPosByCell(40, 24)
-- CppScriptMgr:WaitMilSec(50)
-- CppScriptMgr:SetViewPosByCell(41, 24)
-- CppScriptMgr:WaitMilSec(50)
-- CppScriptMgr:SetViewPosByCell(42, 25)
-- CppScriptMgr:WaitMilSec(50)
-- CppScriptMgr:SetViewPosByCell(43, 26)
-- CppScriptMgr:WaitMilSec(50)
-- CppScriptMgr:SetViewPosByCell(44, 65)
-- CppScriptMgr:WaitMilSec(50)
-- CppScriptMgr:SetViewPosByCell(45, 70)


------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)


CppScriptMgr:AddEffect("role-select2",82,70);
CppScriptMgr:WaitMilSec(1500)

-- 镜头一
local player  = CppScriptMgr:AddSimplePlayer(1051293, 81,71, "Valentine", 4003000031,1)
local player1 = CppScriptMgr:AddSimplePlayer(1051303, 83,71, "Silvia", 4003000032,1)


-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

-- -- 半身像对话框
CppScriptMgr:NpcCallOut("There have been a dragon living in the temple since the ancient time. It`s said that you will receive its blessing if you pray in the temple. So Valentine brought Silvia to the temple to pray for its blessing.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon Spirit", 250, 655)
CppScriptMgr:WaitMilSec(3000)


-- player:Say("Here is Cloud Temple. There is a dragon spirit here, and it can see through people`s minds.", 2000)
-- CppScriptMgr:WaitMilSec(2000)

-- player1:Say("Dragon spirit? Really?", 2000)
-- CppScriptMgr:WaitMilSec(2000)

player:Say("It`s said that you will receive its blessing if you pray in the temple.", 2000)
CppScriptMgr:WaitMilSec(2000)

player1:Say("Our love is true and sincere. We will have its blessing.", 2000)
CppScriptMgr:WaitMilSec(2000)


-- player:SetLook(51294)
-- player1:SetLook(51294)

-- player:RunTo(84, 74)
-- player1:RunTo(85, 73)
-- CppScriptMgr:SetViewPosByCell(89, 76)
-- CppScriptMgr:WaitMilSec(1000)

-- CppScriptMgr:SetViewPosByCell(82, 70)
-- CppScriptMgr:WaitMilSec(1000)
-- CppScriptMgr:SetViewPosByCell(80, 68)

-- CppScriptMgr:WaitMilSec(2000)
player:SetLook(51293)
player1:SetLook(51303)
player:SetAction(220)
player1:SetAction(220)
player:AddEffect("CircleUp")
player1:AddEffect("CircleUp")
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("long_superc",82,71);
CppScriptMgr:AddEffect("goldendragon",82,71);
player:AddEffect("zf2-e123")
player1:AddEffect("zf2-e123")
CppScriptMgr:WaitMilSec(3000)


-- -- 半身像对话框
CppScriptMgr:NpcCallOut("I saw your future. You will face many dangers. But if you insist on your love, someone will help you!\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon Spirit", 250, 655)
CppScriptMgr:WaitMilSec(4000)

player1:SetAction(170)
CppScriptMgr:WaitMilSec(1000)
player1:SetAction(170)
player1:Say("I didn`t expect our relationship to be recognized.", 2000)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(170)
CppScriptMgr:WaitMilSec(1000)

player1:AddEffect("zf2-e290")
CppScriptMgr:AddEffect("red-flower-smallrain",82,71);
CppScriptMgr:AddEffect("gam_foot",82,71);
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

player:Say("Did you recall anything?", 2000)
CppScriptMgr:WaitMilSec(2000)
player1:Say("This shard of light was guiding me when I was in a coma.", 2000)
player1:AddEffect("eddy")
CppScriptMgr:AddEffect("blaze1",82,71);
CppScriptMgr:AddEffect("goldendragon",82,71);
CppScriptMgr:WaitMilSec(3000)


-- -- 半身像对话框
CppScriptMgr:NpcCallOut("I can feel your faith and courage. It`s God`s arrangement that you came here. When she wakes up, you would never be apart.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon Spirit", 250, 655)
CppScriptMgr:WaitMilSec(4000)


player1:Say("Dragon spirit, why I can`t recall anything?", 2000)
player1:SetAction(170)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(170)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("hunpo02",81,68);
CppScriptMgr:WaitMilSec(3000)


player:Say("Don`t be sad. Let`s see the firework together. It may help.", 2000)
CppScriptMgr:WaitMilSec(2000)

-- player1:AddEffect("hunpo02")
-- CppScriptMgr:WaitMilSec(3000)
-- player1:Say("I remember your name, Valentine!", 2000)
-- CppScriptMgr:WaitMilSec(3000)

-- player:Say("Finally! Let`s set off the firework together. Maybe you can recall more.", 2000)
-- CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("FF12",83,75);
CppScriptMgr:AddEffect("FF12",85,70);
CppScriptMgr:WaitMilSec(6000)





-- ------------------------------------------------------------------------------------
-- --Name:			190910[简体征服][任务脚本]职业副本剧情脚本
-- --Creator:		兰瑞妹
-- --Created:		2019/09/12
-- ------------------------------------------------------------------------------------
-- -- /callluafunc </F>User_PlayPlot</N>11

-- -- 武僧
-- -- 表现内容：
-- -- 武僧boss穿着武僧神装，扛着史诗武器金刚伏魔杵，身上散发着佛光，向你作揖，
-- -- 口中念着“阿弥陀佛”。无数经文光效在空中飞舞，突然，武僧使用金刚伏魔杵向大地狠狠砸去。顿时地动山摇。
-- -- 光效需求：武僧身上的祥光、
 -- -- 经文在空中飞舞

-- -- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(363, 445)
-- ------------------------------------------------------------
-- --玩家对象操作接口,Hero、Player、Npc接口都一样
-- -- 查询/创建，玩家自己
-- -- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetPos(363, 445)
-- -- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)

-- -- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player  = CppScriptMgr:AddSimplePlayer(1051350, 371, 445, "【圣僧】一灯大师", 4003000020,1)--51350
-- -- 设置人物显示大小百分比
-- player:SetZoomPercent(150)
-- player:SetRWeapon(481439, 0, 1)
-- player:SetLook(50490)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 人物动作调用接口 作揖
-- player:SetAction(150)
-- CppScriptMgr:WaitMilSec(2000)

-- -- 半身像对话框
-- player:Say("阿弥陀佛", 3000)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 金刚伏魔杵向大地狠狠砸去
-- player:SetAction(401)
-- CppScriptMgr:WaitMilSec(4000)

-- -- 地动山摇
-- -- 创建普通光效接口：参数：光效名，坐标X，坐标Y
-- -- local effectObj = CppScriptMgr:AddEffect("ssch_wlhd_hit", 211, 234);
-- -- CppScriptMgr:WaitMilSec(2000)

